## python-qt4 4.9.3

=== debian/changelog ===
python-qt4 (4.9.3-4) unstable; urgency=low

  * Add -N pyqt4-dev-tools to the dh_python3 invocation so dh_pyton3 will
    leave pyqt4-dev-tools alone and not rewrite it's shebang to
    /usr/bin/python3 (Closes: 682623)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Jul 2012 16:12:15 -0400

python-qt4 (4.9.3-3) unstable; urgency=low

  * Add debian/patches/pyuic_custom_widget.diff from upstream to fix custom
    widget detection and prevent other packages from FTBFS (Closes: #680837)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 14 Jul 2012 00:51:49 -0400

python-qt4 (4.9.3-2) unstable; urgency=low

  * Revert dropping of python:Provides for python-qt4 (Closes: #679819)
    - Needed by python-avogadro

 -- Scott Kitterman <scott@kitterman.com>  Thu, 05 Jul 2012 09:22:30 -0400

python-qt4 (4.9.3-1) unstable; urgency=low

  * New upstream release
    - Bump minimum sip4 build-depends requirement to 4.13.3
    - Refresh patches and adapt debian/patches/fix_qthelp_ftbfs.diff to
      upstream configure.py changes
    - Drop debian/patches/dbus.patch - originally backported from upstream
    - Drop debian/patches/fix_qthelp_ftbfs.diff and
      fix_the_QAssitant_ftbfs.diff - incorporated upstream
    - Update debian/copyright
  * Remove Suggests on non-existant python-phonon-dbg and python3-
    phonon-dbg packages
  * Drop hard coded depends on python-opengl in python-qt4-gl, not
    needed
  * Add new python3-pyqt4.qtopengl and python3-pyqt4.qtopengl-dbg
    packages (Closes: #673925)
    - Uncomment package in debian/control
    - Correct -dbg package name in debian/rules
    - Add debian/python3-pyqt4.gtopengl.install
  * Add support for dpkg-buildflags in debian/rules
    - Drop special optimization for GCC 4.2
    - Add build-depends on dpkg-dev (>= 1.16.1~)
  * Correct DBus to read D-Bus in package descriptions
  * Drop unneeded python:Provides

 -- Scott Kitterman <scott@kitterman.com>  Sun, 24 Jun 2012 12:06:10 -0400

python-qt4 (4.9.1-5) unstable; urgency=low

  * Upload to Unstable (Closes: #673846)
  * Update python-all-dev and python3-all-dev build-depend version minimums
    to account for introduction of --no-dbg-cleaning

 -- Scott Kitterman <scott@kitterman.com>  Mon, 21 May 2012 14:27:06 -0400

python-qt4 (4.9.1-4) experimental; urgency=low

  * Build python3-dbus.mainloop.qt/-dbg packages with experimental python3
    port of dbus-python
    - Add packages to debian/control
    - Add python3-dbus and python3-dbus-dbg to build-depends
    - Adjust debian/rules to support python3-dbus.mainloop.qt-dbg
    - Provide path to dbus-python.h using --dbus option in configure since in
      Python 3, the build system can't find it

 -- Scott Kitterman <scott@kitterman.com>  Thu, 03 May 2012 10:26:27 -0400

python-qt4 (4.9.1-3) unstable; urgency=low

  * Upload to unstable for qt4-x11 multiarch transition
  * Drop python3-pyqt4-dbus for upload to unstable since the required
    dbus-python version is not available in unstable yet
  * Fix dbus related PyQt application crashes (LP: #334757)
    - Add debian/patches/dbus.patch from upstream
  * Do not compress .qml, .xpm, .mng, .qss., and .xbel file types as well as
    examples/animation/stickman/animations/chilling so examples in
    python4-qt-doc will run (Closes: #657205, #657211)
  * Add debian/README.Debian to python4-qt-doc to explain how to run examples
  * Fix debian/rules PYTHONS definition to include all supported python3
    versions
  * Fix debian/copyright to mention both GPL versions 2 and 3
    (Closes: #602721) (LP: #955004)
  * Bump standards version to 3.9.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 03 May 2012 10:26:27 -0400
