=== debian/watch ===
version=3
#http://www.riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-(.*)\.tar\.gz debian uupdate
http://www.riverbankcomputing.co.uk/software/pyqt/download \
      /static/Downloads/PyQt4/PyQt-x11-gpl-([\d\.]*)\.tar\.gz debian uupdate
