## python-qt4 4.9.6

=== debian/changelog ===
python-qt4 (4.9.6-1ubuntu1) raring; urgency=low

  * Fix compiling Qt Designer plugin with multiarched python.
  * Unify build targets across py2 & 3, both now multiarched.
  * Enable DEB_BUILD_OPTIONS compliant parallel build.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 07 Jan 2013 09:26:35 +0000

python-qt4 (4.9.6-1) experimental; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Mon, 10 Dec 2012 06:42:39 -0500

python-qt4 (4.9.5-1ubuntu4) raring; urgency=low

  * Rebuild to drop python3.2 extension.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 11:16:29 +0000

python-qt4 (4.9.5-1ubuntu3) raring; urgency=low

  * Fix version specific pyqtconfig imports

 -- Scott Kitterman <scott@kitterman.com>  Fri, 26 Oct 2012 12:50:09 -0400

python-qt4 (4.9.5-1ubuntu2) raring; urgency=low

  * Adjust pyqtconfig.py references in debian/python3-pyqt4.install to cover
    all variants now shipped
  * Fix find command in install-arch so pyqtconfig files for debug packages
    aren't removed
  * Additional minor cleanups to get files installed properly for pyqtconifg
     and .so files in python3-dbus.mainloop.qt/-dbg

 -- Scott Kitterman <scott@kitterman.com>  Thu, 25 Oct 2012 23:51:05 -0400

python-qt4 (4.9.5-1ubuntu1) raring; urgency=low

  [ Scott Kitterman ]
  * Add debian/patches/config_extra_headers.diff so additional header
    directories used in python3.3 due to multiarch are found during build
  * Update debian/rules to account for different layout of python3.3 due to
    multiarch
  * Update python3-all-dev minimum version due to bug fixes in 3.2.3-6 for
    building with multiple python3 versions
  * Generate a multi-version pyqtconfig.py for python3 variants to account
    for multiple files installed into the same directory as is done with
    sipconfig in python3-sip

  [ Steve Langasek ]
  * Fine adjustments to debian/rules

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 24 Oct 2012 21:36:24 +0000

python-qt4 (4.9.5-1) experimental; urgency=low

  * New upstream release
    - Bump minimum python-sip-dev and python3-sip-dev versions to 4.14
    - Drop debian/patches/pyuic_custom_widget.diff (it was a cherrypick from
      upstream and is included in this version)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Oct 2012 16:10:40 -0400
