=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-qt4
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Michael Casadevall <mcasadevall@debian.org>,
            Bernd Zeimetz <bzed@debian.org>,
@@ -18,16 +19,16 @@
                python-all-dbg,
                python-all-dev (>= 2.7.2-5~),
                python3-all-dbg,
-               python3-all-dev (>= 3.2.2~rc1-1~),
+               python3-all-dev (>= 3.2.3-6~),
                python-dbus (>= 1.0.0~),
                python-dbus-dbg,
                python3-dbus,
                python3-dbus-dbg,
                python-dbus-dev,
                python-sip-dbg,
-               python-sip-dev (>= 4.13.3-2~),
+               python-sip-dev (>= 4.14),
                python3-sip-dbg,
-               python3-sip-dev (>= 4.13.3-2~),
+               python3-sip-dev (>= 4.14),
                python-sphinx (>= 1.0.7+dfsg-1~)
 Build-Conflicts: python-xml, python-xml-dbg
 Standards-Version: 3.9.3
