=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,7 @@
 SPLIT=10
 
 PYTHONS := $(shell pyversions -vr) $(shell  py3versions -vr)
+PYTHON3S := $(shell  py3versions -vr)
 
 DEFAULT_PYTHON := $(shell pyversions -vd)
 
@@ -53,15 +54,22 @@
 	LFLAGS_RELEASE="${LDFLAGS}"
 
 
-.PRECIOUS: build-%/configure-stamp dbg-build-%/configure-stamp
-
-configure: $(PYTHONS:%=build-%/configure-stamp) $(PYTHONS:%=dbg-build-%/configure-stamp)
+.PRECIOUS: pyqtconfig-% build-%/configure-stamp dbg-build-%/configure-stamp
+
+configure: $(PYTHON3S:%=pyqtconfig-%) $(PYTHONS:%=build-%/configure-stamp) $(PYTHONS:%=dbg-build-%/configure-stamp)
+
+pyqtconfig-3.%:
+	cat $(CURDIR)/debian/pyqtconfig_py3.py $(CURDIR)/debian/pyqtconfig_py3.snippet \
+		> $(CURDIR)/debian/pyqtconfig_py3.py.tmp
+	sed -e "s/@MINORVERS@/$*/g" <$(CURDIR)/debian/pyqtconfig_py3.py.tmp \
+		> $(CURDIR)/debian/pyqtconfig_py3.py
+	touch $@
 
 build-%/configure-stamp:
 	dh_testdir
 	mkdir -p build-$*
 	cd build-$* && python$* ../configure.py $(SHARED_CONFIGURE_OPTIONS) \
-			-m /usr/lib/python$*/config \
+			-m $(shell python$*-config --configdir) \
 			-d /usr/lib/python$*/$(call py_sitename, $*) \
 			--dbus /usr/include/dbus-1.0 \
 			$(if $(filter $(DEFAULT_PYTHON),$*),,--no-designer-plugin) 
@@ -71,25 +79,25 @@
 	dh_testdir
 	mkdir -p dbg-build-$*
 	cd dbg-build-$* && python$*-dbg ../configure.py $(SHARED_CONFIGURE_OPTIONS) \
-			-m /usr/lib/python$*/config_d \
-			-l /usr/include/python$*_d \
+			-m $(shell python$*-dbg-config --configdir) \
+			-l /usr/include/python$*$(if $(filter 3.%, $*),dm,_d) \
 			-d /usr/lib/python$*/$(call py_sitename, $*) \
 			--no-designer-plugin
 	touch $@
 
 
 build: build-arch build-indep
-build-arch: $(PYTHONS:%=build-%/build-stamp) $(PYTHONS:%=dbg-build-%/build-stamp)
+build-arch: $(PYTHON3S:%=pyqtconfig-%) $(PYTHONS:%=build-%/build-stamp) $(PYTHONS:%=dbg-build-%/build-stamp)
 build-indep: build-$(DEFAULT_PYTHON)/build-stamp
 
 build-%/build-stamp: build-%/configure-stamp
 	dh_testdir
-	$(MAKE) -C build-$*
+	dh_auto_build --parallel -B build-$*
 	touch $@
 
 dbg-build-%/build-stamp: dbg-build-%/configure-stamp
 	dh_testdir
-	$(MAKE) -C dbg-build-$*
+	dh_auto_build --parallel -B dbg-build-$*
 	touch $@
 
 install-indep: build-indep
@@ -126,7 +134,7 @@
 	done
 
 	find debian/python*-dbg ! -type d \
-		! \( -name '*.so' -o -name '*config_d.py' \) | xargs rm -f
+		! \( -name '*.so' -o -name '*config_*d*.py' \) | xargs rm -f
 	find debian/python-*-dbg -depth -type d -empty -exec rmdir {} \;
 
 	#FIXME - copying the file to /usr/bin is not the best way,
@@ -134,19 +142,32 @@
 	# probably like ipython handles it.
 	cp debian/pyuic4 debian/pyqt4-dev-tools/usr/bin/pyuic4
 
-d3_qt4_dbg = debian/python3-dbus.mainloop.qt
+d3_qt4_dbg = debian/python3-pyqt4-dbg
 
 install-arch-3.%:
 	$(MAKE) -C build-3.$* install \
 		INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/debian/tmp
+	if [ -e $(CURDIR)/debian/tmp$(call py3_dbusmoddir,3.$*)/qt.so ]; then \
+		mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/dbus/mainloop; \
+		mv $(CURDIR)/debian/tmp$(call py3_dbusmoddir,3.$*)/qt.so \
+		$(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/dbus/mainloop; \
+		echo 'usr/lib/python3.$*/dist-packages/*' >> $(CURDIR)/debian/python3-dbus.mainloop.qt.install;\
+	fi
+	ls $(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/PyQt4 > ../list
+	mv $(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig.py \
+		$(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig_nd$*.py
 
 	$(MAKE) -C dbg-build-3.$* install DESTDIR=$(CURDIR)/$(d3_qt4_dbg)
+	if [ -e $(CURDIR)/$(d3_qt4_dbg)$(call py3_dbusmoddir,3.$*)/qt.so ]; then \
+		mkdir -p $(CURDIR)/debian/python3-dbus.mainloop.qt-dbg/usr/lib/python3.$*/dist-packages/dbus/mainloop; \
+		mv $(CURDIR)/debian/python3-pyqt4-dbg$(call py3_dbusmoddir,3.$*)/qt.so \
+		$(CURDIR)/debian/python3-dbus.mainloop.qt-dbg/usr/lib/python3.$*/dist-packages/dbus/mainloop; \
+	fi
 
 	# Don't initiate the uic/widget-plugins
 	touch $(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/PyQt4/uic/widget-plugins/.noinit
-
 	mv $(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig.py \
-		$(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig_d.py
+		$(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig_d$*.py
 	mkdir -p debian/python3-pyqt4.qtopengl-dbg/usr/lib/python3.$*/dist-packages/PyQt4
 	mv $(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/QtOpenGL.so \
 		debian/python3-pyqt4.qtopengl-dbg/usr/lib/python3.$*/dist-packages/PyQt4
@@ -156,13 +177,7 @@
 	mkdir -p debian/python3-pyqt4.phonon-dbg/usr/lib/python3.$*/dist-packages/PyQt4
 	mv $(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/phonon.so \
 		debian/python3-pyqt4.phonon-dbg/usr/lib/python3.$*/dist-packages/PyQt4
-
-	if [ -e $(d3_qt4_dbg)$(call py3_dbusmoddir,$*)/qt.so ]; then \
-		mkdir -p debian/python3-dbus.mainloop.qt-dbg/$(call py3_dbusmoddir,$*);\
-		mv $(d3_qt4_dbg)$(call py3_dbusmoddir,$*)/qt.so \
-			debian/python3-dbus.mainloop.qt-dbg$(call py3_dbusmoddir,$*);\
-		echo '$(call py3_dbusmoddir,$*)/*' >> $(CURDIR)/debian/python3-dbus.mainloop.qt.install;\
-	fi
+	install -Dm 644 -o root -g root debian/pyqtconfig_py3.py debian/python3-pyqt4/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig.py
 
 d_qt4_dbg = debian/python-qt4-dbg
 
@@ -185,45 +200,3 @@
 		debian/python-qt4-sql-dbg/usr/lib/python$*/$(call py_sitename,$*)/PyQt4
 	mkdir -p debian/python-qt4-phonon-dbg/usr/lib/python$*/$(call py_sitename,$*)/PyQt4
 	mv $(d_qt4_dbg)/usr/lib/python$*/$(call py_sitename,$*)/PyQt4/phonon.so \
-		debian/python-qt4-phonon-dbg/usr/lib/python$*/$(call py_sitename,$*)/PyQt4
-
-	if [ -e $(d_qt4_dbg)$(call py_dbusmoddir,$*)/qt.so ]; then \
-		mkdir -p debian/python-qt4-dbus-dbg/$(call py_dbusmoddir,$*);\
-		mv $(d_qt4_dbg)$(call py_dbusmoddir,$*)/qt.so \
-			debian/python-qt4-dbus-dbg$(call py_dbusmoddir,$*);\
-		echo '$(call py_dbusmoddir,$*)/*' >> $(CURDIR)/debian/python-qt4-dbus.install;\
-	fi
-
-
-clean: 
-	dh_testdir
-	dh_testroot
-	-cd designer && make distclean
-	rm -rf $(PYTHONS:%=build-%) $(PYTHONS:%=dbg-build-%) sip/Qt
-	dh_clean
-
-# Must not depend on anything. This is to be called by
-# binary-arch/binary-indep
-# in another 'make' thread.
-binary-common:
-	dh_testdir
-	dh_testroot
-	dh_installman
-	dh_installchangelogs NEWS
-	dh_installdocs -A THANKS
-ifeq (,$(findstring -a, $(DH_OPTIONS)))
-	sphinx-build $(CURDIR)/doc/sphinx \
-	$(CURDIR)/debian/python-qt4-doc/usr/share/doc/python-qt4-doc/html
-	dh_sphinxdoc
-endif
-	dh_link
-	dh_sip
-	dh_sip3
-ifeq (,$(findstring -i, $(DH_OPTIONS)))
-	DH_OPTIONS= dh_strip -ppyqt4-dev-tools
-	set -e; \
-	for p in python-qt4 python3-pyqt4 \
-		python-qt4-dbus python3-dbus.mainloop.qt \
-		python-qt4-gl \
-		python-qt4-sql python3-pyqt4.qtsql \
-		python-qt4-phonon python3-pyqt4.phonon \
