## python-qt4 4.10

=== debian/changelog ===
python-qt4 (4.10-0ubuntu3) raring; urgency=low

  * Update fix-QTextBlockUserData.patch with fix from upstream
    to allow PyKDE to compile (LP: #1161818)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Apr 2013 15:46:19 +0100

python-qt4 (4.10-0ubuntu2) raring; urgency=low

  * backport fix-QTextBlockUserData.patch from upstream snapshot
    fixes e.g. syntax highlighting in editors (LP: #1161818)

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 29 Mar 2013 14:35:15 +0000

python-qt4 (4.10-0ubuntu1) raring; urgency=low

  * New upstream release
    - Refresh patches
    - Bump minimum required sip4 build-dep versions to 4.14.4
  * Backport upstream fix for invisibleRootItem bug from 20130305, changeset
    85635bd2f453

 -- Scott Kitterman <scott@kitterman.com>  Wed, 06 Mar 2013 11:50:15 -0500
