=== debian/control ===
--- 
+++ 
@@ -26,9 +26,9 @@
                python3-dbus-dbg,
                python-dbus-dev,
                python-sip-dbg,
-               python-sip-dev (>= 4.14),
+               python-sip-dev (>= 4.14.4),
                python3-sip-dbg,
-               python3-sip-dev (>= 4.14),
+               python3-sip-dev (>= 4.14.4),
                python-sphinx (>= 1.0.7+dfsg-1~)
 Build-Conflicts: python-xml, python-xml-dbg
 Standards-Version: 3.9.3
