## python-qt4 4.10.3

=== debian/changelog ===
python-qt4 (4.10.3-1ubuntu1) saucy; urgency=high

  * Add patch qreal_float_support.diff back to add back QList<double> code

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Sep 2013 07:50:43 +0100

python-qt4 (4.10.3-1) experimental; urgency=low

  * New upstream release
    - Bump minumum build-dep version for python/3-sip to 4.15
    - Remove debian/patches/qreal_float_support.diff, alternate solution
      implemented upstream 
    - Refresh patches 
  * Bump minimum version for python/3-all-dev to those that support the
    simplified build target introduced in the last upload. (Closes: #718733)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Aug 2013 23:26:38 -0400

python-qt4 (4.10.2-2) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Update dh_compress arguments so that pagefold.qss and wordlist.txt
    (in python-qt4-doc examples) are not compressed.

  [ Scott Kitterman ]
  * Feedback changes from Ubuntu:
    - Add autopkg test, to check that at least a basic import works, should
      catch API version changes in sip4.
    - Unify build targets across py2 & 3, both now multiarched and python3.2
      is not supported

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Aug 2013 16:16:20 -0400

python-qt4 (4.10.2-1) unstable; urgency=low

  * New upstream release
  * Add build-conflicts python3.2-dev << 3.2.3-8~ due to need for
    python3.2-config to support the --configdir option (avoids adding a
    python3.2 specific build-dep) (Closes: #711457)
  * Switch python2.7-dev specific build-depends to versioned build-conflict on
    older versions for the same reasons as python3.2-dev
  * Remove obsolete Build-conflicts on python-xml and python-xml-dbg

 -- Scott Kitterman <scott@kitterman.com>  Thu, 06 Jun 2013 23:44:13 -0400

python-qt4 (4.10.1-1) unstable; urgency=low

  * Upload to unstable

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Dmitrijs Ledkovs ]
  * Fix compiling Qt Designer plugin with multiarched python.
  * Enable DEB_BUILD_OPTIONS compliant parallel build.

  [ Scott Kitterman ]
  * New upstream release
    - Refresh patches
    - Update debian/rules to work with python3.2 and 3.3 (Closes: #707157)
    - Bump minimum required sip4 build-dep versions to 4.14.4
  * Adjust pyqtconfig.py references in debian/python3-pyqt4.install to cover
    all variants now shipped
  * Fix find command in install-arch so pyqtconfig files for debug packages
    aren't removed
  * Additional minor cleanups to get files installed properly for pyqtconifg
     and .so files in python3-dbus.mainloop.qt/-dbg
  * Add debian/patches/config_extra_headers.diff so additional header
    directories used in python3.3 due to multiarch are found during build
  * Update debian/rules to account for different layout of python3.3 in
    anicipation of multiarched python3.3
  * Add specific build-dep on python2.7-dev >=2.7.5-2~ for python2.7-config
    configdir support
  * Update python3-all-dev minimum version due to bug fixes in 3.2.3-6 for
    building with multiple python3 versions
  * Generate a multi-version pyqtconfig.py for python3 variants to account
    for multiple files installed into the same directory as is done with
    sipconfig in python3-sip (Closes: #707734)
  * Add removal of qpy/QtCore/qpycore_post_init.cpp to clean rule
  * Drop unused python:Provides
  * Bump standards version to 3.9.4 without further change

  [ Steve Langasek ]
  * Fine adjustments to debian/rules

 -- Scott Kitterman <scott@kitterman.com>  Thu, 16 May 2013 09:34:47 -0400
