=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-qt4
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Michael Casadevall <mcasadevall@debian.org>,
@@ -17,30 +17,30 @@
                libqtassistantclient-dev,
                libqtwebkit-dev,
                python-all-dbg,
-               python-all-dev (>= 2.7.2-5~),
+               python-all-dev (>= 2.7.5-1~),
                python3-all-dbg,
-               python3-all-dev (>= 3.2.3-6~),
+               python3-all-dev (>= 3.3),
                python-dbus (>= 1.0.0~),
                python-dbus-dbg,
                python3-dbus,
                python3-dbus-dbg,
                python-dbus-dev,
                python-sip-dbg,
-               python-sip-dev (>= 4.14.4),
+               python-sip-dev (>= 4.15),
                python3-sip-dbg,
-               python3-sip-dev (>= 4.14.4),
+               python3-sip-dev (>= 4.15),
                python-sphinx (>= 1.0.7+dfsg-1~)
-Build-Conflicts: python-xml, python-xml-dbg
-Standards-Version: 3.9.3
+Build-Conflicts: python3.2-dev (<< 3.2.3-8~), python2.7-dev (<< 2.7.5-2~)
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
 Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-qt4/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-qt4/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-qt4/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-qt4/trunk/
+XS-Testsuite: autopkgtest
 
 Package: python-qt4
 Architecture: any
-Provides: ${python:Provides}
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, ${sip:Depends}
 Suggests: python-qt4-dbg
 Replaces: python-qt4-dev (<< 4.4.4-3~)
