=== debian/watch ===
version=3
http://sf.net/pyqt/PyQt-x11-gpl-(.*)\.tar\.gz debian uupdate
